/* Upgrade Story Tracker database from v2 to v3 */

begin exclusive transaction;

/* Copy existing data into new tables */
create table old_version as select * from version;

/* Drop old tables */
drop table version;

/* Create new version table */
CREATE TABLE version (pk INTEGER PRIMARY KEY, version_num INTEGER, creation_date REAL, comments CHAR(100), app_identifier INTEGER, app_version REAL, export_date REAL, num_stories INTEGER, num_markets INTEGER, num_submissions INTEGER, num_genres INTEGER);

/* Copy old data back into table */
insert into version (pk, version_num, creation_date, comments) select pk, version_num, creation_date, comments from old_version;

/* Update database version number */
update version set version_num = 3;

/* Remove temporary tables */
drop table old_version;

commit;
